package com.chinacreator.video.mapper;

import java.util.HashMap;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * 查询女王卡
 * @author xu.zhou
 * @date 20200221
 */
@Component
public interface CsmakeupDao {
	
	/**
	 * 添加订购记录
	 * @param hm
	 */
	void addOrderRec(HashMap hm);
	
	/**
	 * 获取订购记录
	 * @param userid 手机号码
	 * @return
	 */
	List<HashMap> getOrderByOrderid(@Param("orderid")String orderid);
	
	/**
	 * 获取后向订购记录
	 * @param userid 手机号码
	 * @return
	 */
	List<HashMap> getBusiConf(@Param("muspid")String muspid);
	
	/**
	 * 获取流水号
	 * @return
	 */
	String getNo();
	
	/**
	 * 获取订购数据
	 * @param userid
	 * @param muspid	 
	 * @return
	 */
	List<HashMap> getOrderRec(@Param("userid")String userid,@Param("muspid")String muspid);
}
